org.apache.ignite.internal.util

## Class GridExecutionStatistics

- java.lang.Object
- - org.apache.ignite.internal.util.GridExecutionStatistics

    public class GridExecutionStatistics
    extends Object

Accumulates execution statistics for named pieces of code.

### Constructor Summary

Constructors
Constructor and Description
`GridExecutionStatistics(String name)`

### Method Summary

Methods
`void` `print()` Prints statistics.
`void` `stopWatching()` Stop watching execution started previously in the same thread.
`void` `watchExecution(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridExecutionStatistics

    public GridExecutionStatistics(String name)

Parameters:
  `name` - Statistics name.

### Method Detail

#### watchExecution

    public void watchExecution(String name)

Parameters:
  `name` - Execution name.

#### stopWatching

    public void stopWatching()

Stop watching execution started previously in the same thread.

#### print

    public void print()

Prints statistics.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015